> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Dungeons



## OpenAPI

````yaml immo/openapi.json get /dungeons
openapi: 3.1.0
info:
  title: IMMO API
  description: Uses the official API and caches the content for a few minutes or an hour.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://immo.soyab.uk
security: []
paths:
  /dungeons:
    get:
      summary: Dungeons
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Dungeons'
components:
  schemas:
    Dungeons:
      type: object
      properties:
        dungeons:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              description:
                type: string
              image_url:
                type: string
              level_required:
                type: number
              difficulty:
                type: number
              length:
                type: number
              cost:
                type: number
              shards:
                type: number
              completion_requirement:
                type: number
              location:
                type: object
                properties:
                  id:
                    type: number
                  name:
                    type: string
                required:
                  - id
                  - name
              loot:
                type: array
                items:
                  type: object
                  properties:
                    hashed_item_id:
                      type: string
                    name:
                      type: string
                    image_url:
                      type: string
                    quality:
                      type: string
                    quantity: {}
                    chance: {}
                  required:
                    - hashed_item_id
                    - name
                    - image_url
                    - quality
                    - quantity
                    - chance
              experience:
                type: object
                properties:
                  skills:
                    type: object
                    properties:
                      combat:
                        type: number
                      dungeoneering:
                        type: number
                    required:
                      - combat
                      - dungeoneering
                required:
                  - skills
            required:
              - id
              - name
              - description
              - image_url
              - level_required
              - difficulty
              - length
              - cost
              - shards
              - completion_requirement
              - location
              - loot
              - experience
        endpoint_updates_at:
          type: string
      required:
        - dungeons
        - endpoint_updates_at

````